<template>
  <div>
    <div class="page-content">
      <page-header>
        <div class="container-fluid">
          <div class="row">
            <div class="col-12 col-lg-6 offset-lg-3">
              <search-bar></search-bar>
            </div>
          </div>
        </div>
      </page-header>
      <div class="container-fluid">
        <div class="row no-gutters">
          <div class="col-10 offset-1">
            <div class="page-title">
              Dashboard
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-10 offset-1">
            <div class="row">
              <div class="col-4">
                <div
                  class="stats gradient-1"
                  @click="$router.push({ name: 'Projects' })"
                >
                  <div class="title">Projects</div>
                  <div class="count">{{projects.length}}</div>
                  <i class="icon fas fa-project-diagram"></i>
                </div>
              </div>
              <div class="col-4">
                <div class="stats gradient-2" @click="$router.push({name: 'Issues'})">
                  <div class="title">Issues</div>
                  <div class="count">{{issues.length}}</div>
                  <i class="icon fas fa-bug"></i>
                </div>
              </div>
              <div class="col-4">
                <div class="stats gradient-3">
                  <div class="title">Commits</div>
                  <div class="count">999</div>
                  <i class="icon fas fa-server"></i>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  import {mapState} from 'vuex';
  export default {
    computed: {
      ...mapState('projectModule', ['projects']),
      ...mapState('issueModule', ['issues'])
    }
  }
</script>

<style lang="scss">
.stats-2 {
  width: 100%;
  height: 150px;
  border-radius: 12px;
  align-items: center;
  padding-left: 15px;
  padding-right: 15px;
  .stat {
    height: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }
  .icon {
    color: rgba(0, 0, 0, 0.3);
    font-size: 28px;
  }
  .count {
    font-size: 30px;
    color: rgba(255, 255, 255, 0.8);
    font-weight: bold;
  }
  .label {
    font-size: 26px;
    color: rgba(0, 0, 0, 0.4);
    font-weight: bold;
  }
}
.stats {
  margin-bottom: 20px;
  width: 100%;
  height: 150px;
  border-radius: 8px;
  position: relative;
  overflow: hidden;
  .title {
    position: absolute;
    top: 15px;
    left: 15px;
    color: rgba(0, 0, 0, 0.4);
    font-weight: bold;
    font-size: 24px;
  }
  .count {
    position: absolute;
    top: 50%;
    left: 15px;
    transform: translate(0, -50%);
    font-size: 60px;
    font-weight: bold;
    color: rgba(255, 255, 255, 0.8);
  }
  .icon {
    position: absolute;
    bottom: -20px;
    right: -20px;
    font-size: 150px;
    color: rgba(0, 0, 0, 0.3);
  }
}
.gradient-1 {
  background-image: radial-gradient(
    circle 337px at 0% 2.1%,
    rgba(0, 226, 192, 1) 0.3%,
    rgba(149, 0, 248, 1) 100%
  );
}
.gradient-2 {
  background-image: linear-gradient(
    -40.6deg,
    rgba(162, 2, 63, 1) 11.2%,
    rgba(231, 62, 68, 1) 53.6%,
    rgba(255, 129, 79, 1) 91.1%
  );
}
.gradient-3 {
  background-image: linear-gradient(
    89.9deg,
    rgba(255, 190, 32, 1) 0.6%,
    rgba(251, 112, 71, 1) 124.3%
  );
}
</style>
